### Property

# Adw ViewSwitcherSidebar:mode

since: 1.9

#### Declaration

    property mode: Adw.SidebarMode [ read, write ]

#### Description [src]

Determines the sidebar’s look and behavior.

If set to `ADW_SIDEBAR_MODE_SIDEBAR`, behaves like a sidebar: with a sidebar style and a persistent selection.

If set to `ADW_SIDEBAR_MODE_PAGE`, behaves like a page of boxed lists.

The page mode is intended to be used with `AdwNavigationSplitView` when collapsed, as the sidebar pane becomes a page there.

When used with `AdwOverlaySplitView`, the sidebar should stay in sidebar mode, as the sidebar pane is still a sidebar when collapsed.

See `AdwSidebar:mode`.

Type:`AdwSidebarMode`

Available since: 1.9

Default value | ADW_SIDEBAR_MODE_SIDEBAR
Getter method | `adw_view_switcher_sidebar_get_mode()`
Setter method | `adw_view_switcher_sidebar_set_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no